Subject: Re: [bug#70494] [PATCH 02/23] gnu: linux-container: Make it more suitable for derivation-building.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 07 May 2024 16:28:46 +0200

Christopher Baines <[email-masked]> skribis:

> From: Caleb Ristvedt <[email-masked]>
>
> * gnu/build/linux-container.scm (mount-file-systems): First remount all
> filesystems in the current mount namespace as private (by mounting / with
> MS_PRIVATE and MS_REC), so that the set of mounts cannot increase except from
> within the container.  Also, the tmpfs mounted over the chroot directory now
> inherits the chroot directory's permissions (p11-kit, for example, has a test
> that assumes that the root directory is not writable for the current user, and
> tmpfs is by default 1777 when created).
> * guix/build/syscalls.scm (MS_PRIVATE, MS_REC): new variables.

LGTM (though the log seems to describe more than the changes?).